/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <stdio.h>
#include <zephyr/drivers/gpio.h>
#include <zephyr/device.h>
#include <zephyr/kernel.h>

#define ZEPHYR_USER_NODE DT_PATH(zephyr_user)

const struct gpio_dt_spec gpio_output_pin =
        GPIO_DT_SPEC_GET(ZEPHYR_USER_NODE, toggle_gpios);

int main(void)
{
	/* Configure the pin */
	gpio_pin_configure_dt(&gpio_output_pin, GPIO_OUTPUT_INACTIVE);

	while(1) {
		gpio_pin_toggle_dt(&gpio_output_pin);
		k_msleep(1000);
	}
}
